<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
import { usePaymentStore } from '@/stores/payment'
const receiptStore = useReceiptStore()
const paymentStore = usePaymentStore()
</script>
<template>
  <v-dialog v-model="receiptStore.receiptDialog" persistent width="auto">
    <v-card>
      <v-card-title class="text-h5" style="text-align: center">Receipt</v-card-title>
      <v-img
        :src="'public/img/coffee/logo.jpg'"
        width="180"
        height="150"
        cover
        class="mx-auto"
      ></v-img>

      <table class="invoice-info-container">
        <tr>
          <td>Receipt Date:</td>
          <td style="text-align: right">{{ new Date().toLocaleString() }}</td>
        </tr>
        <tr>
          <td>Branch:</td>
          <td style="text-align: right">Burapha university</td>
        </tr>
        <tr>
          <td>Pay types:</td>
          <td style="text-align: right">{{ paymentStore.pay }}</td>
        </tr>
      </table>
      <p>------------------------------------------------------------------------------------</p>
      <table class="line-items-container">
        <thead>
          <tr>
            <th class="heading-quantity">Qty</th>
            <th class="heading-description">Description</th>
            <th class="heading-description">Sweet</th>
            <th class="heading-price">Price</th>
            <th class="heading-subtotal">Subtotal</th>
          </tr>
        </thead>
        <tbody style="text-align: center">
          <tr v-for="(item, index) in receiptStore.receiptItems" :key="index">
            <td>{{ item.unit }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.sweet }}</td>
            <td class="right">{{ item.price }}</td>
            <td class="bold">{{ item.unit * item.price }}</td>
          </tr>
        </tbody>

        <tbody>
          <tr>
            <td class="no-line"></td>
            <td class="no-line"></td>
            <td class="no-line text-center"><strong>Subtotal</strong></td>
            <td class="thick-line"></td>
            <td class="no-line text-center">{{ receiptStore.receipt?.totalBefore }} ฿</td>
          </tr>
          <tr>
            <td class="no-line"></td>
            <td class="no-line"></td>
            <td class="no-line text-center"><strong>Discount</strong></td>
            <td class="thick-line"></td>
            <td class="no-line text-center">{{ receiptStore.receipt?.memberDiscount }} ฿</td>
          </tr>
          <tr>
            <td class="thick-line"></td>
            <td class="thick-line"></td>
            <td class="thick-line text-center"><strong>Total</strong></td>
            <td class="thick-line"></td>
            <td class="thick-line text-center">{{ receiptStore.receipt.total }} ฿</td>
          </tr>
          <tr>
            <td class="no-line"></td>
            <td class="no-line"></td>
            <td class="no-line text-center"><strong>Money earned</strong></td>
            <td class="thick-line"></td>
            <td class="no-line text-center">{{ receiptStore.receipt.receivedAmount }} ฿</td>
          </tr>
          <tr>
            <td class="no-line"></td>
            <td class="no-line"></td>
            <td class="no-line text-center"><strong>Change</strong></td>
            <td class="thick-line"></td>
            <td class="no-line text-center">{{ receiptStore.receipt.change }} ฿</td>
          </tr>
        </tbody>
      </table>

      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="green darken-1" variant="text" @click="receiptStore.receiptDialog = false">
          Cancel
        </v-btn>
        <v-btn
          color="green darken-1"
          variant="text"
          @click="
            () => {
              receiptStore.order()
              receiptStore.receiptDialog = false
              receiptStore.clear()
              paymentStore.clear()
            }
          "
        >
          Save
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
<style scoped>
.image-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%; /* Ensure the container takes the full height of the card */
}
</style>
